Package io.milvus.param.index

## Class DropIndexParam.Builder

- java.lang.Object
- - io.milvus.param.index.DropIndexParam.Builder

- Enclosing class:
    DropIndexParam

      public static final class DropIndexParam.Builder
      extends java.lang.Object

  Builder for `DropIndexParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DropIndexParam` | `build()` | Verifies parameters and creates a new `DropIndexParam` instance.
    `DropIndexParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.
    `DropIndexParam.Builder` | `withIndexName​(@NonNull java.lang.String indexName)` | The name of index which will be dropped.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public DropIndexParam.Builder withCollectionName​(@NonNull
                                                           @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withIndexName

          public DropIndexParam.Builder withIndexName​(@NonNull
                                                      @NonNull java.lang.String indexName)

      The name of index which will be dropped. If no index name is specified, the default index name("_default_idx") is used.
      Parameters:
        `indexName` - index name
      Returns:
        `Builder`

    - #### build

          public DropIndexParam build()
                               throws ParamException

      Verifies parameters and creates a new `DropIndexParam` instance.
      Returns:
        `DropIndexParam`
      Throws:
        `ParamException`